Skip to main content
GET
One thing a supplier says they used or did. `part_id` is set only where a buyer has recognised it as something the plant stocks.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
vendor_invoice_id
string
kind
string
description
string
part_id
string
part_number
string
part_name
string
quantity
string
unit_amount
string
amount
string
is_warranty_covered
string
created_at
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

amount
number<numeric>
created_at
string<timestamp with time zone>
description
string<character varying>
Maximum string length: 500
id
string<uuid>

Note: This is a Primary Key.

is_warranty_covered
boolean<boolean>
kind
string<character varying>
Maximum string length: 10
part_id
string<uuid>

Note: This is a Foreign Key to inventory_available.part_id.

part_name
string<character varying>
Maximum string length: 250
part_number
string<character varying>
Maximum string length: 80
quantity
number<numeric>
unit_amount
number<numeric>
vendor_invoice_id
string<uuid>

Note: This is a Foreign Key to vendor_invoices.id.